Debian Bug report logs - #649896
Does not start: "Error! CRCs do not match! Got 1a6cd7b3, expected 0"

version graph

Package: shrinksafe; Maintainer for shrinksafe is Jason Morawski <rpgdude1@gmail.com>; Source for shrinksafe is src:shrinksafe.

Reported by: Enrico Zini <enrico@debian.org>

Date: Thu, 24 Nov 2011 16:51:02 UTC

Severity: grave

Tags: patch

Found in version shrinksafe/1.6.1-1

Fixed in version shrinksafe/1.7.2-1

Done: Jason Morawski <rpgdude1@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jason Morawski <rpgdude1@gmail.com>:
Bug#649896; Package shrinksafe. (Thu, 24 Nov 2011 16:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@debian.org>:
New Bug report received and forwarded. Copy sent to Jason Morawski <rpgdude1@gmail.com>. (Thu, 24 Nov 2011 16:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Does not start: "Error! CRCs do not match! Got 1a6cd7b3, expected 0"
Date: Thu, 24 Nov 2011 17:49:32 +0100
Package: shrinksafe
Version: 1.6.1-1
Severity: grave

Hello,

thank you for packaging shrinksafe. Unfortunately it does not work: no
matter how I invoke it, it quits with the same CRC mismatch error:

  $ shrinksafe
  Error! CRCs do not match! Got 1a6cd7b3, expected 0
  $ shrinksafe --help
  Error! CRCs do not match! Got 1a6cd7b3, expected 0
  $ shrinksafe json2.js > json2.min.js 
  Error! CRCs do not match! Got 1a6cd7b3, expected 0
  $ shrinksafe yuppi yuppi yuppi doo
  Error! CRCs do not match! Got 1a6cd7b3, expected 0


Best regards,

Enrico


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages shrinksafe depends on:
ii  default-jre [java6-runtime]    1:1.6-43    
ii  jarwrapper                     0.37        
ii  openjdk-6-jre [java6-runtime]  6b23~pre11-1
ii  rhino                          1.7R3-2     

shrinksafe recommends no packages.

shrinksafe suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#649896; Package shrinksafe. (Fri, 25 Nov 2011 22:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason Morawski <rpgdude1@gmail.com>:
Extra info received and forwarded to list. (Fri, 25 Nov 2011 22:39:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Jason Morawski <rpgdude1@gmail.com>
To: Enrico Zini <enrico@debian.org>
Cc: 649896@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#649896: Does not start: "Error! CRCs do not match! Got 1a6cd7b3, expected 0"
Date: Fri, 25 Nov 2011 17:36:26 -0500
[Message part 1 (text/plain, inline)]
Enrico:

I believe this problem lies with jarwrapper and is a dupe of bug
#634089.

Please see: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=634089
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#649896; Package shrinksafe. (Fri, 25 Nov 2011 22:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason Morawski <rpgdude1@gmail.com>:
Extra info received and forwarded to list. (Fri, 25 Nov 2011 22:39:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 649896: 634089 Request was from Enrico Zini <enrico@debian.org> to control@bugs.debian.org. (Sat, 26 Nov 2011 11:42:53 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jason Morawski <rpgdude1@gmail.com>:
Bug#649896; Package shrinksafe. (Sat, 26 Nov 2011 11:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@debian.org>:
Extra info received and forwarded to list. Copy sent to Jason Morawski <rpgdude1@gmail.com>. (Sat, 26 Nov 2011 11:45:13 GMT) Full text and rfc822 format available.

Message #22 received at 649896@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@debian.org>
To: Jason Morawski <rpgdude1@gmail.com>
Cc: 649896@bugs.debian.org
Subject: Re: Bug#649896: Does not start: "Error! CRCs do not match! Got 1a6cd7b3, expected 0"
Date: Sat, 26 Nov 2011 12:42:54 +0100
[Message part 1 (text/plain, inline)]
On Fri, Nov 25, 2011 at 05:36:26PM -0500, Jason Morawski wrote:

> I believe this problem lies with jarwrapper and is a dupe of bug
> #634089.
> 
> Please see: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=634089

It looks like it, indeed. I've marked #634089 as blocking this one and
raised its severity.

I suggest to keep this bug open, though, so that people who can't run
shrinksafe and don't know about #634089 can see right away what is going
on.


Ciao,

Enrico

-- 
GPG key: 4096R/E7AD5568 2009-05-08 Enrico Zini <enrico@enricozini.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jason Morawski <rpgdude1@gmail.com>:
Bug#649896; Package shrinksafe. (Thu, 26 Jan 2012 14:57:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Jason Morawski <rpgdude1@gmail.com>. (Thu, 26 Jan 2012 14:57:17 GMT) Full text and rfc822 format available.

Message #27 received at 649896@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 649896@bugs.debian.org
Cc: Enrico Zini <enrico@debian.org>
Subject: Re: Bug#649896: Does not start: "Error! CRCs do not match! Got, 1a6cd7b3, expected 0"
Date: Thu, 26 Jan 2012 15:52:36 +0100
Hi,

This is, indeed, most likely caused by the above mentioned bug.  The bug
was caused by libarchive-zip-perl and requires a rebuild against the
patched version.  As the package is architecture all, it cannot be
binNMU'ed, so source upload is required.  I can recommend bumping the
versioned build depends on javahelper to (>= 0.40) as that will ensure
fixed version of libarchive-zip-perl.

If you need a sponsor for this upload, let me know and I will help you
out.  Though, there is little I can do unless #639189 is fixed as well.

~Niels







Information forwarded to debian-bugs-dist@lists.debian.org, Jason Morawski <rpgdude1@gmail.com>:
Bug#649896; Package shrinksafe. (Sun, 04 Mar 2012 17:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Jason Morawski <rpgdude1@gmail.com>. (Sun, 04 Mar 2012 17:30:05 GMT) Full text and rfc822 format available.

Message #32 received at 649896@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 649896@bugs.debian.org
Subject: shrinksafe: diff for NMU version 1.6.1-2.1
Date: Sun, 4 Mar 2012 17:27:35 +0000
[Message part 1 (text/plain, inline)]
tags 649896 + patch
tags 649896 + pending
thanks

Dear maintainer,

I've prepared an NMU for shrinksafe (versioned as 1.6.1-2.1) and
uploaded it to DELAYED/7. Please feel free to tell me if I
should delay it longer.

Regards,
    S
    at the Cambridge BSP
[shrinksafe-1.6.1-2.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sun, 04 Mar 2012 17:30:09 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sun, 04 Mar 2012 17:30:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#649896; Package shrinksafe. (Sun, 04 Mar 2012 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason Morawski <rpgdude1@gmail.com>:
Extra info received and forwarded to list. (Sun, 04 Mar 2012 21:45:03 GMT) Full text and rfc822 format available.

Message #41 received at 649896@bugs.debian.org (full text, mbox):

From: Jason Morawski <rpgdude1@gmail.com>
To: Simon McVittie <smcv@debian.org>
Cc: 649896@bugs.debian.org
Subject: Re: Bug#649896: shrinksafe: diff for NMU version 1.6.1-2.1
Date: Sun, 04 Mar 2012 16:46:21 -0500
[Message part 1 (text/plain, inline)]
Simon:

I have packaged shrinksafe-1.7.2-1 with the patch for this bug and
uploaded it to mentors. I am currently waiting on my sponsor for upload
to the archive.
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Jason Morawski <rpgdude1@gmail.com>:
You have taken responsibility. (Tue, 06 Mar 2012 03:51:08 GMT) Full text and rfc822 format available.

Notification sent to Enrico Zini <enrico@debian.org>:
Bug acknowledged by developer. (Tue, 06 Mar 2012 03:51:08 GMT) Full text and rfc822 format available.

Message #46 received at 649896-close@bugs.debian.org (full text, mbox):

From: Jason Morawski <rpgdude1@gmail.com>
To: 649896-close@bugs.debian.org
Subject: Bug#649896: fixed in shrinksafe 1.7.2-1
Date: Tue, 06 Mar 2012 03:49:38 +0000
Source: shrinksafe
Source-Version: 1.7.2-1

We believe that the bug you reported is fixed in the latest version of
shrinksafe, which is due to be installed in the Debian FTP archive:

shrinksafe_1.7.2-1.debian.tar.gz
  to main/s/shrinksafe/shrinksafe_1.7.2-1.debian.tar.gz
shrinksafe_1.7.2-1.dsc
  to main/s/shrinksafe/shrinksafe_1.7.2-1.dsc
shrinksafe_1.7.2-1_all.deb
  to main/s/shrinksafe/shrinksafe_1.7.2-1_all.deb
shrinksafe_1.7.2.orig.tar.gz
  to main/s/shrinksafe/shrinksafe_1.7.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 649896@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jason Morawski <rpgdude1@gmail.com> (supplier of updated shrinksafe package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 20 Feb 2012 13:05:29 -0500
Source: shrinksafe
Binary: shrinksafe
Architecture: source all
Version: 1.7.2-1
Distribution: unstable
Urgency: low
Maintainer: Jason Morawski <rpgdude1@gmail.com>
Changed-By: Jason Morawski <rpgdude1@gmail.com>
Description: 
 shrinksafe - JavaScript "compression" system
Closes: 649896
Changes: 
 shrinksafe (1.7.2-1) unstable; urgency=low
 .
   * New upstream version
   * Update Build-Depends: javahelper >= 0.40 (Closes: #649896).
Checksums-Sha1: 
 8b6f4652ecc595a97c8ba4ad5fbb6fa4c710dd17 1157 shrinksafe_1.7.2-1.dsc
 33927d827e2d14b61e9270202a39661be4df1928 26914 shrinksafe_1.7.2.orig.tar.gz
 b858ec47661dc26256e3ae89c3bd116b7371381e 12348 shrinksafe_1.7.2-1.debian.tar.gz
 32a2e6ba5f69301e3dff4524c57138a810e97a12 30862 shrinksafe_1.7.2-1_all.deb
Checksums-Sha256: 
 6e13c9de2d426b644127d87ae9785749f7788e4dfb10cb06c02a08922589baa5 1157 shrinksafe_1.7.2-1.dsc
 9f0b7407ad9082bc55ab79017363d3245b1f4ca5770c557dcb189ebeb6cdff0b 26914 shrinksafe_1.7.2.orig.tar.gz
 2fca416a1b0bee6e9833d8d7d5cef6aeaecc961841d9b4064c10db388fa6f207 12348 shrinksafe_1.7.2-1.debian.tar.gz
 2d461bd4127ab43ced88055d07b9f1d8a9137dbe1aee90f89e1fce3a56291063 30862 shrinksafe_1.7.2-1_all.deb
Files: 
 11f3062f091ebe1ffd5f4a59f0b4cd77 1157 devel optional shrinksafe_1.7.2-1.dsc
 01abba23cba6b76da6b91e119a72834f 26914 devel optional shrinksafe_1.7.2.orig.tar.gz
 096a2d5b64c765d26b82cb5a2d9626ad 12348 devel optional shrinksafe_1.7.2-1.debian.tar.gz
 4c93579e1389f8ed36db9bdc50f3ea2c 30862 devel optional shrinksafe_1.7.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk9Vh20ACgkQ+C5cwEsrK54CuACcC9LJHPdB217c09pZLn1j5F+s
UBAAoNubB1C5rXLkbox0RJwXmWx6k9WT
=0pli
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Apr 2012 07:46:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:54:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.